var httpData=GetRequest();
(function(){
	new Vue({
		el:"#app",
		data:{
			patient:httpData['patient'],
			userInfo:{},
			jkqk:[],//健康情况
			jblx:[],//疾病标签
			tdbq:[],//团队标签
			jwh:'',
		},
		mounted: function(){
			this.getPatient();
			this.getJWH();
		},
		methods: {
			getPatient:function(){
				var vm=this;
				var data={
					patient:vm.patient
				}
				signAPI.getPatient(data).then(function(res){
					if(res.status==200){
						res.data &&(vm.userInfo=res.data);
						console.log(vm.userInfo)
					}else{
						top.layer.msg(res.msg, {icon: 5})
					}
				})
				signAPI.patientLabel(data).then(function(res){
					if(res.status==200){
						var data=res.data
						if(data.length){
							for(var i in data){
								var item=data[i]
								if(item.labelType==2){
									vm.jkqk.push(item)
								}else if(item.labelType==3){
									vm.jblx.push(item)
								}else if(item.labelType==4){
									vm.tdbq.push(item)
								}
							}
						}
					}else{
						top.layer.msg(res.msg, {icon: 5})
					}
				})
			},
			getJWH:function(){
				var vm=this;
//						获取居委会
				var data={
					code:vm.patient
				}
				signAPI.patientSign(data).then(function(res){
					if(res.status==200){
						vm.jwh=res.data && res.data.sickVillageName
					}else{
						top.layer.msg(res.msg, {icon: 5})
					}
				})
				},
			goPcPrompt:function(){
				top.layer.msg('请前往客户端查看', {icon: 5})
			}
		}
	})
})();